-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Pylon
	description: "Compiler dependencies -- SmallEiffel"
	interface: client, internal

class P_SYSTEM

feature
	
	floor (in: DOUBLE): INTEGER is
			-- DOUBLE > INTEGER.
		do
			Result := in.floor -- floor ELKS
		end

	double_to_real (in: DOUBLE): REAL is
			-- DOUBLE > REAL.
		do
			Result := in.to_real
		end

	code_to_char (code: INTEGER): CHARACTER is
			-- CHARACTER from code.
		do
			Result := code.to_character
		end

feature -- Exceptions

	raise_exception (nm: STRING) is
			--
		require
			ok: nm /= Void
		do
			-- SmallEiffel has no exceptions currently
			check pseudo_exception: false end
		ensure
			pseudo_exception: false
		end

end
