-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Controls
	description: "Basic class for built-in buttons"
	interface: abstract

deferred class STD_BUTTON

inherit
	STD_CONTROL
		redefine
			std_control_when_command
		end
	BUTTON
		end

feature -- Status

	set_label (str: STRING) is
			-- Set button label.
		do
			set_text (str)
		end

feature {NONE}

	std_control_when_command (notif: INTEGER) is
		require else
			true
		do
			if notif = wrt.Bn_clicked then
				when_executed
			end
		end
	
end -- class STD_BUTTON
