-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Graphics
	description: "Cosmetic pen"
	interface: client

class COSMETIC_PEN

inherit
	BASIC_PEN
		end

creation
	make

feature {CREATION_NONE} -- Creation

	make is
			-- Create pen.
		do
			make_basic
		end

feature -- Line style

	set_line_alternate is
			-- Set line style: alternate (every other pixel). 
		do
			style := wrt.Ps_alternate
		end

feature {WIN_API}
	
	to_windows: WIN_PEN is
		do
			!!Result.make_cosmetic (style, color)
		end

end -- class COSMETIC_PEN
