-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Internal, Graphics
	description: "Font for graphic device"
	interface: client

class WIN_FONT

inherit
	WIN_GDI_OBJECT

creation {FONT}
	make_stock, make_font

creation {WIN_API}
	make_handle

feature {NONE} -- Creation
	
	make_stock (type: INTEGER) is
			-- Get standard font.
		do
			finalisation_register
			set_handle (wrt.win_gdi_stock (type))
		end

	make_font (struct: F_MEMORY) is
		do
			finalisation_register
			set_handle (wrt.win_gdi_font (struct.to_windows))
		end

feature {NONE} -- Internal creation

	make_handle (hdle: INTEGER) is
			-- Create from handle
		do
			finalisation_register
			set_handle (hdle)
		end

end -- class WIN_FONT
