-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Bubble
	description: "Help|About command"
	interface: client

class CMD_HELP_ABOUT inherit GUI_COMMAND end

creation make
	
feature {NONE}
	
	make (pwin: OVERLAPPED_WINDOW) is
			-- Create.
		require
			ok: pwin /= Void
		do
			parent := pwin
		ensure
			done: pwin = parent
		end

feature {NONE} -- Attributes

	parent: OVERLAPPED_WINDOW
	dialog: BUBBLE_ABOUT

feature
	
	execute is
			-- Menu event.
		do
			if dialog /= Void and then dialog.is_valid then
				dialog.activate
			else
				!!dialog.make (parent)
			end
		end

end
