-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Bubble
	description: "Generic zoom change command"
	interface: client

class CMD_ZOOM inherit GUI_COMMAND end

creation make feature {NONE}
	
	make (dw: BUBBLE_DRAW; zm: DOUBLE) is
			-- Creation.
		require
			ok: dw /= Void
		do
			draw := dw
			zoom := zm
		ensure
			keep_reference: draw = dw
			keep_zoom: zoom = zm
		end

feature {NONE} -- Attribute(s)

	draw: BUBBLE_DRAW
	zoom: DOUBLE

feature
	
	execute is
		do
			draw.set_zoom (zoom)
		end

end -- class CMD_ZOOM
