-- Fenestra; version 0.80(beta); 1998-09-27

-- 
-- Copyright (c) 1998 Franck Arnaud, http://www.altsoft.demon.co.uk/
-- 
-- This package is distributed under the Eiffel Forum Freeware License, 
-- version 1 (see file forum.txt for full text). The main points are:
-- 
-- "Permission is hereby granted, without written agreement and without 
--  license or royalty fees, to use, copy, modify and/or distribute this 
--  package, provided that: copyright notices are retained unchanged [...]
-- 
--  Permission is hereby also granted [...] to distribute binary programs 
--  which depend on this package, provided that: if the binary program 
--  depends on a modified version of this package, you must publicly release 
--  the modified version of this package [...].
-- 
--  THIS PACKAGE IS PROVIDED "AS IS" AND WITHOUT WARRANTY [...]"
-- 

indexing
	cluster: Fenestra, Samples
	description: "Minimal hello world"
	interface: client

class APP 

inherit 
	APPLICATION
		redefine
			when_drawn, when_resized
		end

creation
	make

feature {PUBLIC_NONE}
	
	when_drawn is
			-- Draw event.
		local
			dt: DRAWABLE_TEXT
		do
			!!dt.make
			dt.set_text ("Hello World")
			dt.align_center
			dt.align_baseline
			dt.set_position (client_size.center)

			device.draw (dt)
		end

	when_resized is
			-- Redraw.
		do
			paint
		end

end -- class APP
